Update Reward

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to update a particular reward.

Reward Field Editability by State

FieldUpcomingLiveEnded
Start date
End date
Reward enable/disable (yes/no)
Reward type
Payment config
Vendor redemption ID
InTouch series ID
Supplementary criteria (loyalty program, tier, subscription program)
Labels
Cards
Segments
Groups and rank within group
Reward rank
All restrictions/limits/inventory✓* (Conditional)
Name
Description
Terms and conditions
Custom fields
Rich text fields
Reward image
Thumbnail image
New images (name, alt text, URL)
Videos (name, alt text, URL)
Language enabled (yes/no)
Tier
Group
Label
Categories
Geography
👍

Note

  • For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call .

  • Start time and end time are in UTC zone

  • When updating a reward, you must include the entire reward object in the PUT request payload, exactly as returned by the GET reward API.

    • Custom Fields: These require the full object to map and persist correctly. Sending a partial payload will result in the loss of existing custom field data.
    • Standard Fields: For standard fields (like vendorRedemption or intouchSeriesId), the system can automatically keep existing values if they are omitted.
  • Linking a reward - You can link a reward to the card associated with the customer, customer label, customer segments, tiers, or desired loyalty programs. You cannot link same reward to more than one of these at a time. However, you can link same reward to different segments card seriesor others simultaneously.
    Example: You can link a reward to multiple card series, like "Gold Card Series" and "Platinum Card Series," at the same time. Similarly, you can link a reward to multiple labels, such as "VIP Customers" and "Frequent Buyers." However, you cannot link a reward to both a specific card, like "Gold Card," and a label, such as "VIP Customers," at the same time.

  • The type field now supports POINTS<code>, </code>PHYSICAL_VOUCHER, and FREE_VOUCHER<code> (replacing the former voucher option), and the </code>VendorOnlyReward and IntouchReward redemption types have been removed. We recommend updating your integrations with these enhancements for improved performance—see the parameter tables below for details.

  • New brands should no longer use the "intouch points" field. Instead, they should only use the new "payment config" block.

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URI/api_gateway/rewards/core/v1/reward/{reward ID}<code>/brand/</code>{brand ID}
HTTP MethodPUT
PaginationNo
Batch supportNo
Rate limit informationNone

Example request

curl -L -X PUT 'https://eu.api.capillarytech.com/api_gateway/rewards/core/v1/reward/458081/brand/61' \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic bmFtYW5fZG9jOmEzYjRjYjgyMzA3MWJmYjM5OGM5ZmM2YjZlY2I2MmEy' \
-H 'Cookie: _cfuvid=PZ2Qs9Lv6_ngy2fSsa2ZHebqE7qq7WrhJNpax_n8cXA-1759145375283-0.0.1.1-604800000' \
-d '{
    /******** Mandatory parameters ********/
    // "startTime": "2025-08-31T06:00:00Z",
    "endTime": "2025-09-30T11:59:30Z",
    "type": "VOUCHER",
    "brandId": "61",
    "redemptionType": "INTOUCH_REWARD",
    /******** Non mandatory parameters ********/
    "priority": 1,
    "enabled": true,
    "intouchSeriesId": "849480",
    // "intouchPoints": 500,
    // "geography": [
    //     {
    //         "countryId": 1
    //     }
    // ],
    "categories": [
        486
    ],
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "UAT Reward 10",
            "description": "Test Reward for UAT Team",
            "enabled": true,
            "richContentRO": {
                "UAT_RCT_1": {
                    "content": "Rich Content Text for UAT",
                    "isEnabled": true
                }
            }
        }
    ],
    "paymentConfigs": [
       {
            "paymentMode": "POINTS",
            // "conversionRatio":0.33,
            "points": 100
        }
    ],
    // "rewardRank":"1",
    // "intouchSeriesId": "301233",
    // "vendorRedemption": null,
    // "communications": [
    //     "1"
    // ],
    // "restrictions": {
    //     "customerLevel": [
    //         {
    //             "kpi": "QUANTITY",
    //             "limit": 10,
    //             "repeatFrequencyType": "DAYS",
    //             "interval": "30"
    //         },
    //         {
    //             "kpi": "QUANTITY",
    //             "limit": 50,
    //             "repeatFrequencyType": "MONTHS",
    //             "interval": "12"
    //         }
    //     ],
    //     "rewardLevel": [
    //         {
    //             "kpi": "QUANTITY",
    //             "limit": 10000,
    //             "repeatFrequencyType": "NO_LIMIT"
    //         }
    //     ]
    // },
    // "supplementaryCriteriaRO": [
    //     {
    //         "loyaltyProgramId": 469,
    //         "tierIds": null,
    //         "partnerProgramIds": [
    //             48
    //         ]
    //     },
    //     {
    //         "loyaltyProgramId": 690,
    //         "tierIds": null,
    //         "partnerProgramIds": null
    //     }
    // ],
    // "customFields": {
    //     "CF1": "Custom field 1"
    // },
    // "languageSpecificInfo": [
    //     {
    //         "languageCode": "en",
    //         "name": "testreward1",
    //         "description": "testreward1",
    //         "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
    //         "termNConditions": "t&c",
    //         "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
    //         "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
    //         "enabled": true
    //     }
    // ],
    "isactive" : true
}'

Request path parameters

Parameter NameData TypeDescription
brandId*LongBrand ID. You can use the API and retrieve the brand ID of your brand.
rewardId*StringUnique reward identidier.

Request Body Parameters

FieldTypeRequiredDescription
typeStringyesIndicates the type of the reward. Supported values: POINTS, PHYSICAL_VOUCHER, FREE_VOUCHER.
startDateStringyesIndicates the start date of the reward in "YYYY-MM-DD HH:MM:SS" format. Possible values: "2025-03-18 07:46:55".
startDateTimeStringyesIndicates the start date and time of the reward in ISO 8601 format. Possible values: "2025-03-18T07:46:55Z".
endDateStringyesIndicates the end date of the reward in "YYYY-MM-DD HH:MM:SS" format. Possible values: "2026-10-31 11:59:30".
endDateTimeStringyesIndicates the end date and time of the reward in ISO 8601 format.
enabledBooleanyesIndicates if the reward is enabled. Supported values: true, false.
priorityObjectoptionalSpecifies the order in which rewards are applied. Lower numbers have higher priority. By default, the priority value is 0. If there are three rewards—A (priority 0), B (priority 1), and C (priority 2)—the order of application will be: Reward A, Reward B, then Reward C.
intouchPointsIntegeryesSpecifies points associated with the reward.
intouchSeriesIdObjectoptionalIndicates the unique identifier of the Coupon series ID or cart promotion ID when intouch reward is selected. The coupon should be active. Note: If the redemptionType provided is handled by an external vendor, the intouchSeriesId field must be null.
tierObjectoptionalDefines the tier level, e.g., "SILVER". The maximum character limit is 255 characters. Note: Blank input resets the field to null.
groupObjectoptionalDefines a group for the reward and helps to filter the rewards based on the group name. The maximum number of characters allowed is 255.
tillIdObjectoptionalDefines the till ID.
statusStringyesIndicates the current status of the reward.
programIdObjectoptionalDefines the program ID.
labelObjectoptionalDefines a label for the reward and helps to filter the rewards based on the label name. The maximum number of characters allowed is 255.
redemptionTypeStringyes

Defines the type of intouch reward or vendor reward. Supported values:
INTOUCH_REWARD, VENDOR_INTOUCH_REWARD, VENDOR_ONLY_REWARD, CART_PROMOTION, MILES, CASH_WALLET, CASH_BACK, CARD_DISC, CHARITY, GAMES, VOUCHER, SWEEPSTAKES, AUCTION, GIFT_CARD, PHYSICAL_REWARD

Notes: 1. If redemptionType is MILES, Payment config is mandatory. 2. CONV_RATIO mode is supported only for CHARITY, MILES, CASH_WALLET, SWEEPSTAKES, AUCTION, GIFT_CARD, PHYSICAL_REWARD type of redemption types. 3. For the INTOUCH_REWARD and CART_PROMOTION redemption type, a numeric intouchSeriesId is mandatory. 4. For the VENDOR_INTOUCH_REWARD redemption type, both a numeric intouchSeriesId and a valid vendorRedemption are mandatory. 5. For INTOUCH_REWARD redemption type, intouchSeriesId is mandatory.

vendorIdObjectoptionalDefines the vendor ID.
vendorRedemptionObjectoptionalIndicates the reward configured for a particular vendor. Note: If the redemptionType provided does not support vendor flow, the vendorRedemption field must be null.
communicationsObjectoptionalIndicates the communication IDs related to the reward.
categoriesArray of IntegersoptionalDefines the metadata for the reward to categorize different rewards for end users. It can be null.
geographyObjectoptionalDefines Geographic details, including countryId for restriction.
languageSpecificInfoArray of ObjectsyesEnables the display of reward level information specified in this object in the desired language. Note: There is no limit on the number of languages a user can define for custom fields.
.rewardIdIntegeryesSpecifies the ID of the reward.
.languageCodeStringyesIndicates the ISO code for the language (e.g., FR-French, JA-Japanese). The character limit is 255 characters. Language codes can have spaces and must be unique.
.nameStringyesIndicates the name of the reward in the specified language. The character limit is 255 characters.
.descriptionStringoptionalIndicates the description of the reward in the specified language.
.termNConditionsIdObjectoptionalIndicates the identifier for terms and conditions. Uploading the terms and conditions file to the file service/solutions workspace generates this unique identifier.
.termNConditionsUrlObjectoptionalSpecifies the URL for terms and conditions.
.imageIdObjectoptionalFile_handle of the main image. Uploading the image to the file service/solutions workspace generates this unique identifier. This is the image that the brand configures during reward creation.
.imageUrlObjectoptionalSpecifies the URL of the image.
.thumbnailIdObjectoptionalIndicates the identifier for the thumbnail image.
.thumbnailUrlObjectoptionalSpecifies the URL of the thumbnail.
.enabledBooleanyesIndicates if the language should be enabled or not.
.imagesArrayoptionalA list of image details related to the reward. Notes: A maximum of 10 images can be added. The brand can update the main image from these 10 images. You can use the ID or image URL to add the image. There is no limit on the dimension or size. Images in any format are supported.
.videosArrayoptionalDefines a list of video details related to the reward. Notes: A maximum of 10 videos can be added. The brand can update the main videos from these 10 videos. You can use the ID or video URL to add the videos. There is no limit on the dimension or size. Videos in any format are supported.
.customFieldsObjectoptionalDefines a map of custom key-value pairs for
the reward. Custom fields are unique
columns used to store specific, non-standard
information (e.g., custom loyalty levels,
partner IDs, descriptive tags, etc.). Before
using this field, custom fields must be
defined at the organization level using the
Create Custom Field API.
.richContentROObjectoptionalAn object containing HTML-formatted rich text content.
.richContentRO..*ObjectconditionalRepresents dynamic keys for rich content entries.
.richContentRO...contentStringyesThe HTML-formatted rich text content.
.richContentRO...isEnabledBooleanyesIndicates whether the rich text content is enabled. Supported values: true or false.
customFieldsObjectoptionalDefines a map of custom key-value pairs for the reward.
ownersObjectoptionalList containing detailed owner information.
supplementaryCriteriaROArrayoptionalIndicates Tier/subscription programs for which the reward is being created.
groupsArrayoptionalIndicates an array containing information about groups and rewards associated with the reward.
rewardRankObjectoptionalIndicates the priority level assigned to an individual reward within a group, which determines which one is applied first.
.restrictionsObjectoptional

Defines how and when a reward can be issued at both the reward level (total limit across all users) and the customer level (limit per individual user). For example, allow only 1,000 total redemptions of a reward across all users, or limit each customer to 5 redemptions per month.

Constraints:
  • For ended/expired rewards, you cannot update windowType from FIXED to ROLLING or vice versa.
..rewardLevelObjectconditionalDefines the total number of times a reward can be issued across all customers. Example: If the limit for a reward is set to 1000, a maximum of 1,000 total redemptions will be allowed. Once this limit is reached, the reward will no longer be available for issuance to any customer.
...kpienumyesIndicates the Key Performance Indicator (KPI) on which the reward is created. Supported values: QUANTITY, REDEMPTION_VALUE. Note: When redemptionType is MILES, set the KPI value to REDEMPTION_VALUE as miles are always tracked by their total redeemed value.
...windowTypeenumyes

Specifies the type of window for the reward. Supported values: ROLLING and FIXED.

Constraint: For ended/expired rewards,
windowType cannot be switched from FIXED to ROLLING or vice versa.

...repeatFrequencyTypeenumconditional

Defines how often the reward limit resets when windowType is set to FIXED. Supported Values: DAYS, WEEKS, MONTHS, NO_LIMIT.

Constraint: For ended/expired rewards repeatFrequencyTypeCannot be changed from NO_LIMIT to DAYS, WEEKS, MONTHS.

...weekStartDayenumconditionalSpecifies the day of the week that the week starts on. Supported values: MONDAY, TUESDAY, etc.
...limitintegeryesDefines the maximum number of times the reward can be issued across all customers. This limit can be updated even if the reward has expired.
Example: You can increase the limit from 100 to 200, even after the reward has ended.
..customerLevelArrayconditionalDefines the maximum number of times an individual customer can redeem a specific reward. Example: If the limit is set to 3 and repeatFrequencyType to MONTHS, each customer will be able to redeem the reward up to 3 times within a calendar month.
...kpienumyesIndicates the Key Performance Indicator (KPI) on which the reward is created. Supported values: QUANTITY, REDEMPTION_VALUE. Note: When redemptionType is MILES, set the KPI value to REDEMPTION_VALUE as miles are tracked by their total value, not as individual units.
...windowTypeenumyes

Specifies the type of window for the reward. Supported values: ROLLING and FIXED.

Constraint: For ended/expired rewards,
windowType cannot be switched from FIXED to ROLLING or vice versa.

...repeatFrequencyTypeenumyes

Indicates the frequency at which the reward is repeated. Supported values: DAYS, WEEKS, MONTHS, and NO_LIMIT.

Constraint: For ended/expired rewards repeatFrequencyTypeCannot be changed from NO_LIMIT to DAYS, WEEKS, MONTHS.

...startOfCycledateconditionalSpecifies the start date and time of the reward cycle in ISO 8601 Time Format.
...limitintegeryesDefines the maximum number of times a single customer can receive or redeem the reward within a fixed cycle.
...intervalintegerconditionalDefines the interval for the frequency type, indicating how often the reward can be issued within the specified frequency.
rewardRevenueMetaArrayoptionalDefines reward revenue metadata.
rewardRevenueDefaultsArrayoptionalDefines reward revenue defaults.
paymentConfigsArray of ObjectsyesIndicates the list of payment modes supported by the reward.
.paymentModeStringyesDefines the type of payment mode supported to redeem the reward. Supported values: POINTS, FREE, CASH, POINTS_CASH, CONV_RATIO. Multiple payments are not supported within FREE and CONV_RATIO modes. NOTE: The same payment method cannot be used twice to create a reward.
.idIntegeryesSpecifies the unique identifier for the payment configuration.
segmentArrayoptionalDefines targeted customer segments.
cardSeriesObjectoptionalDefines card series details.
labelsObjectoptionalDefines labels associated with the reward.
createdByIntegeryesSpecifies the ID of the user who created the reward.
lastUpdatedByIntegeryesSpecifies the ID of the user who last updated the reward.

Response body

{
    "startTime": "2025-09-26T20:00:00Z",
    "endTime": "2026-10-31T11:59:30Z",
    "priority": 1,
    "type": "VOUCHER",
    "brandId": "1",
    "enabled": true,
    "intouchPoints": 500,
    "geography": [
        {
            "countryId": 1
        }
    ],
    "categories": [
        4
    ],
    "rewardRank":"1",
    "intouchSeriesId": "301233",
    "redemptionType": "INTOUCH_REWARD",
    "vendorRedemption": null,
    "communications": [
        "1"
    ],
    "restrictions": {
        "customerLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10,
                "repeatFrequencyType": "DAYS",
                "interval": "30"
            },
            {
                "kpi": "QUANTITY",
                "limit": 50,
                "repeatFrequencyType": "MONTHS",
                "interval": "12"
            }
        ],
        "rewardLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10000,
                "repeatFrequencyType": "NO_LIMIT"
            }
        ]
    },
    "supplementaryCriteriaRO": [
        {
            "loyaltyProgramId": 469,
            "tierIds": null,
            "partnerProgramIds": [
                48
            ]
        },
        {
            "loyaltyProgramId": 690,
            "tierIds": null,
            "partnerProgramIds": null
        }
    ],
    "customFields": {
        "CF1": "Custom field 1"
    },
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "testreward1",
            "description": "testreward1",
            "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
            "termNConditions": "t&c",
            "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
            "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
            "enabled": true
        }
    ],
    "isactive" : true
}
{
  	"name":"ABCD",
  	"description":"Reward",
    "startTime": "2025-02-06T07:43:30.00Z",
    "endTime": "2026-11-29T05:39:49.00Z",
    "type": "POINTS",
    "brandId": 3,
    "priority": 1,
    "enabled": true,
    "intouchPoints": 1,
    "intouchSeriesId": "6538e3ac60ce5c504144bb07",
    "tier": "SILVER",
    "geography": [
        {
            "countryId": 7
        }
    ],
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": " INTOUCH Enabled",
            "description": "Description",
            "termNConditionsId": "EXDR12987R",
            "imageId": "EXDR12987U",
            "thumbnailId": "EXDR12987T",
            "enabled": true,
            "images": [
                {
                    "name": "imagename1",
                    "id": "9b648b66-5700-4c6d-84ea-01ddf73927c6"
                },
                {
                    "name": "imagename2",
                    "id": "9b648b66-5700-4c6d-84ea-01ddf73927c6"
                },
                {
                    "name": "imagename2",
                    "id": "9b648b66-5700-4c6d-84ea-01ddf73927c6"
                }
            ],
            "videos": [
                {
                    "name": "videoname1",
                    "id": "9b648b66-5700-4c6d-84ea-01ddf73927c6",
                    "isExternal": false
                },
                {
                    "name": "videoname1",
                    "isExternal": true
                }
            ]
        }
    ],
    "categories": [
        5
    ],
    "redemptionType": "CART_PROMOTION",
    "communications": [
        4
    ],
    "owners": [
        {
            "ownerType": "LOYALTY_PROGRAM",
            "ownerId": "123"
        }
    ]
}
{
    "startTime": "2024-03-07T08:53:49.00Z",
    "endTime": "2024-03-14T05:39:49.00Z",
    "type": "POINTS",
    "brandId": "8",
    "priority": 1,
    "enabled": true,
    "intouchPoints": 3,
    "intouchSeriesId": "73684275",
    "tier": "GOLD",
    "geography":
    [
        {
            "countryId": "14"
        }
    ],
    "languageSpecificInfo":
    [
        {
            "name": " INTOUCH Enabledsd",
            "description": "Description",
            "termNConditions": "https://s3.amazonaws.com/crm-nightly-new-solutions/IRISV2BRAND/EXDR12987R?X-Amz-Security-Token=FwoGZXIvYXdzEAgaDImRT4Rv3I22aidrESLdAQJokVqNlcxpwvh%2FuileYhmM7vAPvlqLv4pA3icQ0z4opwko8bn2w1y2412RtCR1AXAhlB82T%2FT%2Fr4lMjSRbBy1i4lsWgIVWWQ00NMLW2TDumQcnFwQq1p%2BQFAofb1GS%2BcE4zoWTMieFVV3%2F15l2stJ7ZmwnyDYkDyqGzCk0AWoeQQw%2F%2BHu6DbeIcBJrEakvjZvLjqzeIACunRAYgrXAMlI5HfPenJl8CmEfvhgluUkUNQ25vrL6KhXEQKG4rdVjWG%2BxnkMgcZqBLth64qvfYES1wVyYz1OvneIhOdKbKO3tpZoGMi0%2F3wHyU2g0g7XXMM1cLRtUIn6x6%2BEzEdHMArLUdsCYy%2BnDOfaViZiRnhOtV6U%3D&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221014T145408Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Credential=ASIAXCQYYRKNMI6TM5YP%2F20221014%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=c17682bb64da475b6163148797a0c21dbb75fde352c2947fd94504d7f88535fe",
            "thumbnailId": "EXDR12987T",
            "imageId": "EXDR12987U",
            "enabled": true,
            "termNConditionsId": "EXDR12987R",
            "languageCode": "en",
             "customFields":{
               "mandatory - CF1": "englishvalue1"
               
            }
        },
        {
            "name": " INTOUCH Enabledsd",
            "description": "Description",
            "termNConditions": "https://s3.amazonaws.com/crm-nightly-new-solutions/IRISV2BRAND/EXDR12987R?X-Amz-Security-Token=FwoGZXIvYXdzEAgaDImRT4Rv3I22aidrESLdAQJokVqNlcxpwvh%2FuileYhmM7vAPvlqLv4pA3icQ0z4opwko8bn2w1y2412RtCR1AXAhlB82T%2FT%2Fr4lMjSRbBy1i4lsWgIVWWQ00NMLW2TDumQcnFwQq1p%2BQFAofb1GS%2BcE4zoWTMieFVV3%2F15l2stJ7ZmwnyDYkDyqGzCk0AWoeQQw%2F%2BHu6DbeIcBJrEakvjZvLjqzeIACunRAYgrXAMlI5HfPenJl8CmEfvhgluUkUNQ25vrL6KhXEQKG4rdVjWG%2BxnkMgcZqBLth64qvfYES1wVyYz1OvneIhOdKbKO3tpZoGMi0%2F3wHyU2g0g7XXMM1cLRtUIn6x6%2BEzEdHMArLUdsCYy%2BnDOfaViZiRnhOtV6U%3D&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20221014T145408Z&X-Amz-SignedHeaders=host&X-Amz-Expires=3600&X-Amz-Credential=ASIAXCQYYRKNMI6TM5YP%2F20221014%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Signature=c17682bb64da475b6163148797a0c21dbb75fde352c2947fd94504d7f88535fe",
            "thumbnailId": "EXDR12987T",
            "imageId": "EXDR12987U",
            "enabled": true,
            "termNConditionsId": "EXDR12987R",
            "languageCode": "fr",
            "customFields":{
               "non_mandatory-CF4":"frenchvalue4"
            }
        }
    ],
    "categories":
    [
        "11"
    ],
    "redemptionType": "INTOUCH_REWARD",
    "communications":
    [
        "11"
    ],
    "vendorRedemption": null,
    "group": null,
    "label": null
}

{
    "startTime": "2024-10-07T17:04:30.00Z",
    "endTime": "2027-10-31T05:39:49.00Z",
    "rewardRevenueMeta" : [
        {
            "commissionParticipant": "BRAND",
            "commissionRate": "1.5",
            "cycleStartDate": "2024-11-07T17:04:30.000Z",
            "cycleEndDate": "2025-10-06T07:43:30.000Z"
        },
        {
            "commissionParticipant": "AFFILIATE",
            "commissionRate": "1.2",
            "cycleStartDate": "2024-11-07T17:04:30.000Z",
            "cycleEndDate": "2026-10-06T07:43:30.000Z"
        }
    ],
    "rewardRevenueDefaults": [
        {
            "commissionParticipant": "AFFILIATE",
            "defaultValue": "1.1"
        },
        {
            "commissionParticipant": "END_CUSTOMER",
            "defaultValue": "1.3"
        }
    ],
      "type": "VOUCHER",
  "brandId": 3,
  "priority": 1,
  "enabled": true,
  "intouchPoints": 1,
  "intouchSeriesId": "1135336",
  "tier": "SILVER",
  "geography": [
    {
      "countryId": 7
    }
  ],
  "languageSpecificInfo": [
    {
      "languageCode": "en",
      "name": " INTOUCH Enabled",
      "description": "Description",
      "termNConditionsId": "EXDR12987R",
      "imageId": "EXDR12987U",
      "thumbnailId": "EXDR12987T",
      "enabled": true
    }
  ],
  "categories": [
    5
  ],
  "redemptionType": "INTOUCH_REWARD",
  "communications": [
    4
  ],
  "owners":[{
      "ownerType":"LOYALTY_PROGRAM",
      "ownerId":"123"
      }
  ]
}
{
    "name": "testreward1poitu",
    "description": "testreward11",
    "startTime": "2025-09-26T20:00:00Z",
    "endTime": "2026-10-31T11:59:30Z",
    "priority": 1,
    "type": "VOUCHER",
    "brandId": "1",
    "enabled": true,
    "intouchPoints": 500,
    "geography": [
        {
            "countryId": 1
        }
    ],
"paymentConfigs": [
       {
            "paymentMode": "POINTS",
            "points":100
        }
    ],
    "categories": [
        4
    ],
    "rewardRank":"1",
    "intouchSeriesId": "301233",
    "redemptionType": "INTOUCH_REWARD",
    "vendorRedemption": null,
    "communications": [
        "1"
    ],
    "restrictions": {
        "customerLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10,
                "repeatFrequencyType": "DAYS",
                "interval": "30"
            },
            {
                "kpi": "QUANTITY",
                "limit": 50,
                "repeatFrequencyType": "MONTHS",
                "interval": "12"
            }
        ],
        "rewardLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10000,
                "repeatFrequencyType": "NO_LIMIT"
            }
        ]
    },
    "supplementaryCriteriaRO": [
        {
            "loyaltyProgramId": 469,
            "tierIds": null,
            "partnerProgramIds": [
                48
            ]
        },
        {
            "loyaltyProgramId": 690,
            "tierIds": null,
            "partnerProgramIds": null
        }
    ],
    "customFields": {
        "CF1": "Custom field 1"
    },
    
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "testreward1",
            "description": "testreward1",
            "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
            "termNConditions": "t&c",
            "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
            "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
            "enabled": true
        }
    ],
    "isactive" : true
}
{
    "startTime": "2027-10-03T07:47:33Z",
    "endTime": "2030-07-10T09:48:34Z",
    "type": "FREE_VOUCHER",
    "brandId": 3,
    "priority": 1,
    "enabled": true,
    "intouchPoints": 0,
    "intouchSeriesId": "1137472",
    "tier": "SILVER",
    "geography": [
        {
            "countryId": 7
        }
    ],
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": " English",
            "description": "Description",
            "termNConditionsId": "EXDR12987R",
            "imageId": "EXDR12987U",
            "thumbnailId": "EXDR12987T",
            "enabled": true
        }
    ],
    "categories": [
        5
    ],
    "redemptionType": "INTOUCH_REWARD",
    "communications": [
        4
    ],
    "segment": [
        
        {
            "segmentId": "6136",
            "partitionId": [
                "2675"
            ]
        }
    ]
}
{
    "id": 201374,
    "name": "testname",
    "description": "testname1",
    "startTime": "2024-07-17T11:00:00.00Z",
    "endTime": "2025-07-11T14:43:00.00Z",
    "priority": 1,
    "groups" : [
        {
            "groupName":"groupName012",
            "groupRank": 8
        },
        {
            "groupName":"groupName013"
            // "groupRank": 6
        }
    ],
    "type": "VOUCHER",
    "brandId": "1",
    "enabled": true,
    "intouchPoints": 500,
    "geography": [
        {
            "countryId": 1
        }
    ],

"paymentConfigs": [
       {
            "paymentMode": "POINTS",
            "points":100
        }
    ],

    "categories": [
        4
    ],
    "rewardRank":"1",
    "intouchSeriesId": "350219",
    "redemptionType": "INTOUCH_REWARD",
    "vendorRedemption": null,
    "communications": [
        "1"
    ],
    "restrictions": {
        "customerLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10,
                "repeatFrequencyType": "DAYS",
                "interval": "30"
            },
            {
                "kpi": "QUANTITY",
                "limit": 50,
                "repeatFrequencyType": "MONTHS",
                "interval": "12"
            }
        ],
        "rewardLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10000,
                "repeatFrequencyType": "NO_LIMIT"
            }
        ]
    },
 
    "customFields": {
        "CF1": "Custom field 1"
    },
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "testreward1",
            "description": "testreward1",
            "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
            "termNConditions": "t&c",
            "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
            "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
            "enabled": true
        }
    ],
    "isactive" : true
}
{
    "id": 272383,
    "name": "REWARD",
    "description": "REWARD1234",
    "startTime": "2024-11-26T08:29:00.00Z",
    "endTime": "2025-07-11T14:43:00.00Z",
    "priority": 1,
  
    "type": "VOUCHER",
    "brandId": "1",
    "enabled": true,
    "intouchPoints": 500,
    "geography": [
        {
            "countryId": 1 
        }
    ],

"paymentConfigs": [
       {
            "paymentMode": "CONV_RATIO",
            "conversionRatio": 0.33
        }
    ],

    "categories": [
        4
    ],
    "rewardRank":"1",
    // "intouchSeriesId": "415446",
    "redemptionType": "MILES",
    "vendorRedemption": null,
    "communications": [
        "1"
    ],
    "restrictions": {
        "customerLevel": [
            {
                "kpi": "REDEMPTION_VALUE",
                "limit": 1000,
                "repeatFrequencyType": "MONTHS",
                "interval": "30"
            },
            {
                "kpi": "QUANTITY",
                "limit": 50,
                "repeatFrequencyType": "DAYS",
                "interval": "12"
            }
        ],
        "rewardLevel": [
            {
                "kpi": "REDEMPTION_VALUE",
                "limit": 10000,
                "repeatFrequencyType": "NO_LIMIT"
            }
        ]
    },
 
    "customFields": {
        "CF1": "Custom field 1"
    },
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "testreward1",
            "description": "testreward1",
            "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
            "termNConditions": "t&c",
            "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
            "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
            "enabled": true
        }
    ],
    "isactive" : true
}
{
    "id": 256354,
  	"name": "RewardName",
    "description": "TestReward",
    "startTime": "2025-11-28T13:56:00.00Z",
    "endTime": "2026-11-28T14:10:00.00Z",
    "type": "FREE_VOUCHER",
    "brandId": 1,
    "priority": 1,
    "enabled": true,
    "intouchPoints": 0,
    "tier": "PLATINUM",
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": " INTOUCH Enabled",
            "description": "Description",
            "termNConditionsId": "EXDR12987R",
            "imageId": "EXDR12987U",
            "thumbnailId": "EXDR12987T",
            "enabled": true
        }
    ],
    "redemptionType": "PHYSICAL_REWARD",
    "cardSeries":["26NOV2024TRYLEN17","26NOV2024TRYLEN18"]
}
{
    "id": 256354,
  	"name": "RewardName",
    "description": "TestReward",
    "startTime": "2025-11-28T13:56:00.00Z",
    "endTime": "2026-11-28T14:10:00.00Z",
    "type": "FREE_VOUCHER",
    "brandId": 1,
    "priority": 1,
    "enabled": true,
    "intouchPoints": 0,
    "tier": "PLATINUM",
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": " INTOUCH Enabled",
            "description": "Description",
            "termNConditionsId": "EXDR12987R",
            "imageId": "EXDR12987U",
            "thumbnailId": "EXDR12987T",
            "enabled": true
        }
    ],
    "redemptionType": "PHYSICAL_REWARD",
    "labels":[12751,5462]
}
{
    "name": "testcreate1",
    "description": "testcreate1",
    "startTime": "2025-01-27T08:07:05Z",
    "endTime": "2026-10-31T11:59:30Z",
    "priority": 1,
    "type": "VOUCHER",
    "redemptionType": "MILES",
    "brandId": "1",
    "enabled": true,
   
"paymentConfigs": [
       {
            "paymentMode": "CONV_RATIO",
            "conversionRatio":0.33
        }
    ],
 
    "restrictions": {
        "customerLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 1000,
                "repeatFrequencyType": "DAYS",
                "interval": "30"
            },
            {
                "kpi": "QUANTITY",
                "limit": 1000,
                "repeatFrequencyType": "MONTHS",
                "interval": "12"
            }
        ],
        "rewardLevel": [
            {
                "kpi": "QUANTITY",
                "limit": 10000,
                "repeatFrequencyType": "NO_LIMIT"
            }
        ]
    },
 
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "testcreate1",
            "description": "testcreate1",
            "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
            "termNConditions": "t&c",
            "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
            "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
            "enabled": true
        }
    ],
    "isactive" : true
}
{
    "name": "testcreate2",
    "description": "testcreate2",
    "startTime": "2025-01-27T08:22:20Z",
    "endTime": "2026-10-31T11:59:30Z",
    "priority": 1,
    "type": "VOUCHER",
    "redemptionType": "MILES",
    "brandId": "1",
    "enabled": true,
    
    
    
    
    
    

"paymentConfigs": [
       {
            "paymentMode": "CONV_RATIO",
            "conversionRatio":0.33
        }
    ],
    
    
    
    
    
    
    
    
    
    
    "restrictions": {
        "customerLevel": [
            {
                "kpi": "REDEMPTION_VALUE",
                "limit": 1000,
                "repeatFrequencyType": "DAYS",
                "interval": "30"
            },
            {
                "kpi": "REDEMPTION_VALUE",
                "limit": 1000,
                "repeatFrequencyType": "MONTHS",
                "interval": "12"
            }
        ],
        "rewardLevel": [
            {
                "kpi": "REDEMPTION_VALUE",
                "limit": 10000,
                "repeatFrequencyType": "NO_LIMIT"
            }
        ]
    },
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": "testcreate1",
            "description": "testcreate1",
            "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85",
            "termNConditions": "t&c",
            "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04",
            "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73",
            "enabled": true
        }
    ],
    "isactive" : true
}
{
    "startTime": "2025-02-12T05:59:00.000Z",
    "endTime": "2025-12-30T12:50:20.000Z",
    "type": "FREE_VOUCHER",
    "brandId": 61,
    "priority": 1,
    "enabled": true,
    "intouchPoints": 0,
    "tier": "PLATINUM",
    "languageSpecificInfo": [
        {
            "languageCode": "en",
            "name": " INTOUCH Enabled",
            "description": "Description",
            "termNConditionsId": "EXDR12987R",
            "imageId": "EXDR12987U",
            "thumbnailId": "EXDR12987T",
            "enabled": true,
            "images":[
                {
                    "name":"imageName",
                    "isExternal": true,
                    "url":"mypic.com",
                    "altText":"product picture"
                }
            ],
            "videos":[
                {
                    "name":"videoName",
                    "isExternal": true,
                    "url":"mypic.com",
                    "altText":"product picture"
                }
            ]
        }
    ],

    "redemptionType": "PHYSICAL_REWARD"
     
}

Response parameters

Parameter NameData TypeDescription
statusObjectContains details about the status of the request
successBooleanIndicates the success of the request, true in this case
codeIntegerStatus code associated with the response, 6006
messageStringDescriptive message, "Reward updated successfully"
rewardObjectContains details about the reward
idIntegerUnique identifier for the updated reward, 90819

Example response

{
    "status": {
        "success": true,
        "code": 6006,
        "message": "Reward updated successfully"
    },
    "reward": {
        "id": 458081
    }
}
{
    "status": {
        "success": false,
        "code": 400,
        "message": "Multiple payments is not supported within FREE and CONV_RATIO modes,Conversion ratio can be set only for MILES, CASH_WALLET and CHARITY content types"
    }
}
{
    "status": {
        "success": false,
        "code": 400,
        "message": "Redemption type cannot be changed once the reward has started"
    }
}
{
    "status": {
        "success": false,
        "code": 12048,
        "message": "Unable to update reward as Label not found for label_id: 17244324236"
    },
    "reward": null
}
{
    "status": {
        "success": false,
        "code": 12048,
        "message": "Unable to update reward as Label not found for label_id: 17244324236"
    },
    "reward": null
}

API-specific error codes

Error codeDescription
400Redemption type cannot be changed once the reward has started
400Passed loyalty programId is not exists
400Passed entityId is not exists
3014Unable to update reward as org doesn't have the custom field/s: labels,tag
12045Unable to update reward as card series not found
12048Unable to update reward as label not found

Path Params
string
required
int64
required
Body Params
json
Defaults to { "name": "testreward1poi", "description": "testreward1", "startTime": "2025-09-26T20:00:00", "endTime": "2026-10-31T11:59:30", "priority": 1, "type": "VOUCHER", "brandId": "1", "enabled": true, "intouchPoints": 500, "geography": [ { "countryId": 1 } ], "categories": [ 4 ], "rewardRank":"1", "intouchSeriesId": "301233", "redemptionType": "INTOUCH_REWARD", "vendorRedemption": null, "communications": [ "1" ], "restrictions": { "customerLevel": [ { "kpi": "QUANTITY", "limit": 10, "repeatFrequencyType": "DAYS", "interval": "30" }, { "kpi": "QUANTITY", "limit": 50, "repeatFrequencyType": "MONTHS", "interval": "12" } ], "rewardLevel": [ { "kpi": "QUANTITY", "limit": 10000, "repeatFrequencyType": "NO_LIMIT" } ] }, "supplementaryCriteriaRO": [ { "loyaltyProgramId": 469, "tierIds": null, "partnerProgramIds": [ 48 ] }, { "loyaltyProgramId": 690, "tierIds": null, "partnerProgramIds": null } ], "customFields": { "CF1": "Custom field 1" }, "languageSpecificInfo": [ { "languageCode": "en", "name": "testreward1", "description": "testreward1", "imageId": "bef4d522-2cf8-4fea-8087-376c449d5c85", "termNConditions": "t&c", "thumbnailId": "c886f064-2b3f-4c19-9e86-7f7e5ab5ae04", "termNConditionsId": "820a3d7f-2601-405b-9f56-4a3ba8e9df73", "enabled": true } ], "isactive" : true }
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json